@inproceedings{aliasgari2013secure,
  title={Secure Computation on Floating Point Numbers.},
  author={Aliasgari, Mehrdad and Blanton, Marina and Zhang, Yihua and Steele, Aaron},
  booktitle={NDSS},
  year={2013}
}

@inproceedings{keller2018overdrive,
  title={Overdrive: making SPDZ great again},
  author={Keller, Marcel and Pastro, Valerio and Rotaru, Dragos},
  booktitle={Annual International Conference on the Theory and Applications of Cryptographic Techniques},
  pages={158--189},
  year={2018},
  organization={Springer}
}

@incollection{damgaard2012multiparty,
  title={Multiparty computation from somewhat homomorphic encryption},
  author={Damg{\aa}rd, Ivan and Pastro, Valerio and Smart, Nigel and Zakarias, Sarah},
  booktitle={Advances in Cryptology--CRYPTO 2012},
  pages={643--662},
  year={2012},
  publisher={Springer}
}

@inproceedings{bendlin2011semi,
  title={Semi-homomorphic encryption and multiparty computation},
  author={Bendlin, Rikke and Damg{\aa}rd, Ivan and Orlandi, Claudio and Zakarias, Sarah},
  booktitle={Annual International Conference on the Theory and Applications of Cryptographic Techniques},
  pages={169--188},
  year={2011},
  organization={Springer}
}

@article{eyal2018majority,
  title={Majority is not enough: Bitcoin mining is vulnerable},
  author={Eyal, Ittay and Sirer, Emin G{\"u}n},
  journal={Communications of the ACM},
  volume={61},
  number={7},
  pages={95--102},
  year={2018},
  publisher={ACM}
}

@Misc{ethereum2018randnum,
howpublished = {\url{https://github.com/ethereum/research/wiki/Problems#21-on-chain-random-number-generation-63}},
note = {Accessed Sept 5, 2018},
title = {On-chain Random Number Generation},
author = {Ethereum}
}

@Misc{sc1997idea,
howpublished = {\url{http://www.fon.hum.uva.nl/rob/Courses/InformationInSpeech/CDROM/Literature/LOTwinterschool2006/szabo.best.vwh.net/idea.html}},
note = {Accessed Sept 5, 2018},
title = {The Idea of Smart Contracts},
author = {Nick Szabo}
}

@incollection{atzei2017survey,
  title={A survey of attacks on ethereum smart contracts (sok)},
  author={Atzei, Nicola and Bartoletti, Massimo and Cimoli, Tiziana},
  booktitle={Principles of Security and Trust},
  pages={164--186},
  year={2017},
  publisher={Springer}
}

@inproceedings{bartoletti2017empirical,
  title={An empirical analysis of smart contracts: platforms, applications, and design patterns},
  author={Bartoletti, Massimo and Pompianu, Livio},
  booktitle={International Conference on Financial Cryptography and Data Security},
  pages={494--509},
  year={2017},
  organization={Springer}
}

@Misc{banker2016privacy,
    howpublished = {\url{https://www.americanbanker.com/news/banks-privacy-concerns-shaping-blockchain-vendors-strategies}},
    note = {Accessed Sept 5, 2018},
    title = {Banks' Privacy Concerns Shaping Blockchain Vendors' Strategies},
    author = {Tanaya Macheel}
}

@Misc{ethereum2018,
howpublished = {\url{https://www.ethereum.org/}},
note = {Accessed Sept 5, 2018},
title = {Ethereum},
author = {Ethereum}
}

@Misc{randao2016tor,
howpublished = {\url{https://www.reddit.com/r/ethereum/comments/4mdkku/could_ethereum_do_this_better_tor_project_is/}},
note = {Accessed Sept 5, 2018},
title = {Could Ethereum do this better? [Tor Project is working on a web-wide random number generator]},
author = {vbuterin}
}

@inproceedings{yao1982protocols,
  title={Protocols for secure computations},
  author={Yao, Andrew C},
  booktitle={Foundations of Computer Science, 1982. SFCS'08. 23rd Annual Symposium on},
  pages={160--164},
  year={1982},
  organization={IEEE}
}

@inproceedings{bogetoft2009secure,
  title={Secure multiparty computation goes live},
  author={Bogetoft, Peter and Christensen, Dan Lund and Damg{\aa}rd, Ivan and Geisler, Martin and Jakobsen, Thomas and Kr{\o}igaard, Mikkel and Nielsen, Janus Dam and Nielsen, Jesper Buus and Nielsen, Kurt and Pagter, Jakob and others},
  booktitle={International Conference on Financial Cryptography and Data Security},
  pages={325--343},
  year={2009},
  organization={Springer}
}


@Misc{randao2018tor,
howpublished = {\url{https://github.com/randao/randao}},
note = {Accessed Sept 24, 2018},
title = {RANDAO: A DAO working as RNG of Ethereum},
author = {zhangyaning}
}

@inproceedings{baum2014publicly,
  title={Publicly auditable secure multi-party computation},
  author={Baum, Carsten and Damg{\aa}rd, Ivan and Orlandi, Claudio},
  booktitle={International Conference on Security and Cryptography for Networks},
  pages={175--196},
  year={2014},
  organization={Springer}
}

@inproceedings{damgaard2013practical,
  title={Practical covertly secure MPC for dishonest majority--or: breaking the SPDZ limits},
  author={Damg{\aa}rd, Ivan and Keller, Marcel and Larraia, Enrique and Pastro, Valerio and Scholl, Peter and Smart, Nigel P},
  booktitle={European Symposium on Research in Computer Security},
  pages={1--18},
  year={2013},
  organization={Springer}
}

@article{lamport1982byzantine,
  title={The Byzantine generals problem},
  author={Lamport, Leslie and Shostak, Robert and Pease, Marshall},
  journal={ACM Transactions on Programming Languages and Systems (TOPLAS)},
  volume={4},
  number={3},
  pages={382--401},
  year={1982},
  publisher={ACM}
}

@article{nakamoto2008bitcoin,
  title={Bitcoin: A peer-to-peer electronic cash system},
  author={Nakamoto, Satoshi},
  year={2008},
  publisher={Working Paper}
}

@article{turkihoneyledgerbft,
  title={HoneyLedgerBFT: Enabling Byzantine Fault Tolerance for the Hyperledger platform},
  author={Turki, Haithem and Salgado, Fidel and Camacho, Juan Manuel}
}

@article{mazieres2015stellar,
  title={The stellar consensus protocol: A federated model for internet-level consensus},
  author={Mazieres, David},
  journal={Stellar Development Foundation},
  year={2015},
  publisher={Citeseer}
}

@inproceedings{cachin2016architecture,
  title={Architecture of the hyperledger blockchain fabric},
  author={Cachin, Christian},
  booktitle={Workshop on Distributed Cryptocurrencies and Consensus Ledgers},
  volume={310},
  year={2016}
}

@article{schwartz2014ripple,
  title={The Ripple protocol consensus algorithm},
  author={Schwartz, David and Youngs, Noah and Britto, Arthur and others},
  journal={Ripple Labs Inc White Paper},
  volume={5},
  year={2014}
}

@article{sun2017revisit,
  title={Revisiting Unreasonable Effectiveness of Data in Deep Learning Era},
  howpublished = {\url{https://arxiv.org/abs/1707.02968}},
  author={Chen Sun, Abhinav Shrivastava, Saurabh Singh, Abhinav Gupta},
  journal={Computer Vision and Pattern Recognition},
  volume={2},
  year={2017}
}

@Misc{GDPR2018,
  title={The EU General Data Protection Regulation (GDPR)},
  howpublished = {\url{https://eugdpr.org/}},
  year={2018},
  note = {Enforced May 25, 2018},
  author = {European Union}
}

@Misc{smartcontract,
  title={Smart Contract},
  howpublished = {\url{https://en.wikipedia.org/wiki/Smart_contract}},
  note = {Retrived Sep 25, 2018},
  author = {Wikipedia}
}

@inproceedings{rackoff1991non,
  title={Non-interactive zero-knowledge proof of knowledge and chosen ciphertext attack},
  author={Rackoff, Charles and Simon, Daniel R},
  booktitle={Annual International Cryptology Conference},
  pages={433--444},
  year={1991},
  organization={Springer}
}

@article{rabin2005exchange,
  title={How To Exchange Secrets with Oblivious Transfer.},
  author={Rabin, Michael O},
  journal={IACR Cryptology ePrint Archive},
  volume={2005},
  pages={187},
  year={2005}
}

@inproceedings{pedersen1991non,
  title={Non-interactive and information-theoretic secure verifiable secret sharing},
  author={Pedersen, Torben Pryds},
  booktitle={Annual International Cryptology Conference},
  pages={129--140},
  year={1991},
  organization={Springer}
}

@inproceedings{bogdanov2008sharemind,
  title={Sharemind: A framework for fast privacy-preserving computations},
  author={Bogdanov, Dan and Laur, Sven and Willemson, Jan},
  booktitle={European Symposium on Research in Computer Security},
  pages={192--206},
  year={2008},
  organization={Springer}
}

@article{geisler2007viff,
  title={VIFF: Virtual ideal functionality framework},
  author={Geisler, Martin},
  journal={Homepage: http://viff. dk},
  year={2007}
}

@article{shamir1979share,
  title={How to share a secret},
  author={Shamir, Adi},
  journal={Communications of the ACM},
  volume={22},
  number={11},
  pages={612--613},
  year={1979},
  publisher={ACm}
}

@inproceedings{chor1985verifiable,
  title={Verifiable secret sharing and achieving simultaneity in the presence of faults},
  author={Chor, Benny and Goldwasser, Shafi and Micali, Silvio and Awerbuch, Baruch},
  booktitle={Foundations of Computer Science, 1985., 26th Annual Symposium on},
  pages={383--395},
  year={1985},
  organization={IEEE}
}

@Misc{gaslimit,
howpublished = {\url{https://github.com/ethereum/wiki/wiki/Design-Rationale#gas-and-fees}},
note = {Revised on Sept 1, 2018},
title = {Ethereum Design Rationale},
author = {Ali Sharif}
}

@Misc{scalability_issue,
howpublished = {\url{https://medium.com/coinmonks/understanding-ethereum-pertinent-problems-scalability-and-possible-solutions-eb4fec0405be}},
note = {Revised on June 2, 2018},
title = {Understanding Ethereum — Pertinent problems,Scalability, and Possible Solutions.},
author = {Utsav Kumar}
}

@article{spdz, 
  title={Practical covertly secure MPC for dishonest majority - or: Breaking the SPDZ limits},
  author={IvanDamgård,MarcelKeller,EnriqueLarraia,ValerioPastro,PeterScholl,andNigelP.Smart},
  journal={Computer Security - ESORICS},
  number={11},
  pages={1-18},
  year={2013},
  publisher={Springer}
}

@Misc{rationality,
howpublished = {\url{https://www.britannica.com/topic/economic-rationality}},
note = {Revised on Dec 18, 2015},
title = {Economic rationality},
author = {Daniel E. Palmer}
}

@Misc{hyperledger,
howpublished = {\url{https://www.hyperledger.org/}},
title = {Welcome to Hyperledger Fabric},
}


@Misc{permissioned,
howpublished = {\url{https://medium.com/@akadiyala/nuances-between-permissionless-and-permissioned-blockchains-f5b566f5d483}},
title = {Nuances Between Permissionless and Permissioned Blockchains},
author = {Anant Kadiyala},
note = {Revised on Feb 18, 2018}
}


@article{plasma, 
  title={Plasma: Scalable Autonomous Smart Contracts},
  author={Joseph Poon, Vitalik Buterin},
  howpublished = {\url{https://plasma.io/plasma.pdf}},
}

@article{truebit, 
  title={A scalable verification solution for blockchains},
  author={Jason Teutsch, Christian Reitwießner},
  howpublished = {\url{https://people.cs.uchicago.edu/~teutsch/papers/truebit.pdf}},
}


@Misc{randao,
howpublished = {\url{https://ethresear.ch/t/randao-beacon-exploitability-analysis-round-2/1980}},
title = {RANDAO beacon exploitability analysis, round 2},
author = {Vitalik Buterin},
note = {Revised on May 12, 2018}
}

@Misc{pbft,
howpublished = {\url{http://pmg.csail.mit.edu/papers/osdi99.pdf}},
title = {Practical Byzantine Fault Tolerance},
author = {Miguel Castro, Barbara Liskov},
note = {Revised on 1999}
}

@article{micali2000computationally,
  title={Computationally sound proofs},
  author={Micali, Silvio},
  journal={SIAM Journal on Computing},
  volume={30},
  number={4},
  pages={1253--1298},
  year={2000},
  publisher={SIAM}
}

@Misc{sgx,
howpublished = {\url{https://software.intel.com/en-us/sgx}},
title = {Intel Software Guard Extensions },
author = {Miguel Castro, Barbara Liskov},
note = {Accessed Nov 16, 2018}
}

@phdthesis{scholl2015design,
  title={Design and implementation of secure multi-party computation},
  author={Scholl, Peter Alexander},
  year={2015},
  school={University of Bristol}
}

@inproceedings{bonnoron2017somewhat,
  title={Somewhat/fully homomorphic encryption: Implementation progresses and challenges},
  author={Bonnoron, Guillaume and Fontaine, Caroline and Gogniat, Guy and Herbert, Vincent and Lap{\^o}tre, Vianney and Migliore, Vincent and Roux-Langlois, Adeline},
  booktitle={International Conference on Codes, Cryptology, and Information Security},
  pages={68--82},
  year={2017},
  organization={Springer}
}

@incollection{ben2013snarks,
  title={SNARKs for C: Verifying program executions succinctly and in zero knowledge},
  author={Ben-Sasson, Eli and Chiesa, Alessandro and Genkin, Daniel and Tromer, Eran and Virza, Madars},
  booktitle={Advances in Cryptology--CRYPTO 2013},
  pages={90--108},
  year={2013},
  publisher={Springer}
}
